#global rctag rc3

Name:    testssl
Version: 2.8
Release: 1%{?rctag:.%{rctag}}%{?dist}

Summary: Testing TLS/SSL encryption
License: GPLv2
URL:     https://testssl.sh/
Source0: https://github.com/drwetter/%{name}.sh/archive/v%{version}%{?rctag}.tar.gz#/%{name}-%{version}%{?rctag}.tar.gz

BuildArch: noarch

BuildRequires: coreutils
BuildRequires: sed

Requires: bash
# dig, host, nslookup
Requires: bind-utils
Requires: coreutils
Requires: gawk
# locale
Requires: glibc-common
Requires: grep
Requires: hostname
# tput
Requires: ncurses
Requires: openssl >= 1
# ps
Requires: procps-ng
Requires: sed
# hexdump, kill
Requires: util-linux

%description
testssl.sh is a free command line tool which checks a server's service on any
port for the support of TLS/SSL ciphers, protocols as well as recent
cryptographic flaws and more.

%prep
%autosetup -n %{name}.sh-%{version}%{?rctag}
sed --in-place '1s#^\#!/usr/bin/env bash$#\#!/bin/bash#' %{name}.sh
sed --in-place 's#^MAPPING_FILE_RFC=""$#MAPPING_FILE_RFC="%{_datadir}/%{name}/mapping-rfc.txt"#' %{name}.sh

%build

%install
install -D --preserve-timestamps %{name}.sh %{buildroot}%{_bindir}/%{name}
install -D --preserve-timestamps --mode=0644 etc/mapping-rfc.txt %{buildroot}%{_datadir}/%{name}/mapping-rfc.txt

%files
%doc CHANGELOG.stable-releases.txt openssl-rfc.mappping.html Readme.md
%license LICENSE
%{_bindir}/*
%{_datadir}/%{name}

%changelog
* Thu Apr 13 2017 Michael Kuhn <suraia@ikkoku.de> - 2.8-1
- Update to 2.8

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.8-0.2.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Nov 30 2016 Michael Kuhn <suraia@ikkoku.de> - 2.8-0.1.rc3
- Update to 2.8rc3.

* Wed Feb 24 2016 Michael Kuhn <suraia@ikkoku.de> - 2.6-3
- Add BuildRequires for coreutils.
- Fix shebang.
- Install openssl-rfc.mappping.html.

* Tue Feb 23 2016 Michael Kuhn <suraia@ikkoku.de> - 2.6-2
- Require OpenSSL >= 1.
- Add Requires for miscellaneous utilities.
- Install mapping-rfc.txt.

* Thu Feb 18 2016 Michael Kuhn <suraia@ikkoku.de> - 2.6-1
- Initial package.
